
package keymon.lat.medicomed;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class starter implements IRemote{
	public static starter mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public starter() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("starter"), "keymon.lat.medicomed.starter");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("keymon.lat.medicomed.starter");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, starter.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) mostCurrent.pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _gps = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _ph = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _flp = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
public static RemoteObject _reqmanager = RemoteObject.declareNull("keymon.lat.medicomed.dbrequestmanager");
public static RemoteObject _enventa = RemoteObject.createImmutable(false);
public static RemoteObject _server = RemoteObject.createImmutable("");
public static RemoteObject _timer1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
public static RemoteObject _interval = RemoteObject.createImmutable(0);
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _logs = RemoteObject.declareNull("anywheresoftware.b4a.keywords.StringBuilderWrapper");
public static RemoteObject _logcat = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone.LogCat");
public static RemoteObject _dia_semana = RemoteObject.createImmutable("");
public static RemoteObject _logger = RemoteObject.createImmutable(false);
public static RemoteObject _marcacel = RemoteObject.createImmutable("");
public static RemoteObject _muestraprogreso = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static keymon.lat.medicomed.main _main = null;
public static keymon.lat.medicomed.subs _subs = null;
public static keymon.lat.medicomed.appupdater _appupdater = null;
public static keymon.lat.medicomed.mapa_rutas _mapa_rutas = null;
public static keymon.lat.medicomed.tracker _tracker = null;
public static keymon.lat.medicomed.newinst2 _newinst2 = null;
public static keymon.lat.medicomed.b4xpages _b4xpages = null;
public static keymon.lat.medicomed.b4xcollections _b4xcollections = null;
public static keymon.lat.medicomed.httputils2service _httputils2service = null;
public static keymon.lat.medicomed.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(keymon.lat.medicomed.appupdater.class),"B4XCollections",Debug.moduleToString(keymon.lat.medicomed.b4xcollections.class),"B4XPages",Debug.moduleToString(keymon.lat.medicomed.b4xpages.class),"DateUtils",starter.mostCurrent._dateutils,"dia_semana",starter._dia_semana,"enVenta",starter._enventa,"FLP",starter._flp,"gps",starter._gps,"HttpUtils2Service",Debug.moduleToString(keymon.lat.medicomed.httputils2service.class),"Interval",starter._interval,"logcat",starter._logcat,"logger",starter._logger,"logs",starter._logs,"Main",Debug.moduleToString(keymon.lat.medicomed.main.class),"MAPA_RUTAS",Debug.moduleToString(keymon.lat.medicomed.mapa_rutas.class),"marcaCel",starter._marcacel,"muestraProgreso",starter._muestraprogreso,"newinst2",Debug.moduleToString(keymon.lat.medicomed.newinst2.class),"ph",starter._ph,"reqManager",starter._reqmanager,"rp",starter._rp,"ruta",starter._ruta,"server",starter._server,"Service",starter.mostCurrent._service,"Subs",Debug.moduleToString(keymon.lat.medicomed.subs.class),"Timer1",starter._timer1,"Tracker",Debug.moduleToString(keymon.lat.medicomed.tracker.class),"XUIViewsUtils",Debug.moduleToString(keymon.lat.medicomed.xuiviewsutils.class)};
}
}